package com.rv.im.mvp.presenter;

import com.rv.im.db.table.ChatMessage;

import java.io.File;
import java.util.ArrayList;

public interface IChatPresenter {

    void setChatInfo(String fromUserId, String fromUserName, String toUserId, String toUserName);

    void sendVoice(String filePath, int timeLen); // 发送语音

    void clickPicPicker(boolean isCamera);

    void openAlbum(); // 打开 相册

    void clickCamera(); // 调用相机

    void sendText(String text); // 发送文本

    void realDial(int type, String meetUrl); // 发送语音通话

    void sendMsgBroad(ChatMessage message); // 发送消息广播

    void album(ArrayList<String> stringArrayListExtra, boolean isOriginal);

    void sendImage(File file); // 发送图片

    void clickFile();

    void setMsgRead(String targetUserId); //  设置该会话所有消息为已读

    void readySend(ChatMessage message);

    void sendFile(File file) ;
}
